List Spark applications
curl --request GET \
--url https://api.example.com/api/monitoring/spark/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/monitoring/spark/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/monitoring/spark/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/monitoring/spark/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/monitoring/spark/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/monitoring/spark/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/monitoring/spark/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"everyone": true,
"items": [
{
"app_key": "<string>",
"app_id": "<string>",
"name": "<string>",
"spark_user": "<string>",
"source_kind": "airflow",
"status": "succeeded",
"duration_ms": 123,
"executors": 123,
"tasks": 123,
"failed_tasks": 123,
"input_bytes": 123,
"shuffle_read_bytes": 123,
"disk_spill_bytes": 123,
"executor_core_ms": 123,
"attempt": "<string>",
"source_ref": "",
"started_at": "<string>",
"ended_at": "<string>",
"spark_version": "",
"health_score": 123,
"top_severity": "critical",
"signal_count": 0,
"badges": [
{
"key": "<string>",
"severity": "critical",
"label": "<string>"
}
],
"in_progress": false,
"truncated": false,
"parse_error": "",
"log_present": true,
"parsed_at": "<string>"
}
],
"total": 0,
"stats": {
"total": 0,
"succeeded": 0,
"failed": 0,
"flagged": 0,
"executor_hours": 0
},
"can_see_everyone": false,
"last_indexed_at": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Monitor
List Spark applications
Completed Spark applications from their event logs, newest first.
Your own (the user Spark ran as), or everyone’s for monitor admins with
everyone=true.
GET
/
api
/
monitoring
/
spark
/
apps
List Spark applications
curl --request GET \
--url https://api.example.com/api/monitoring/spark/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/monitoring/spark/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/monitoring/spark/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/monitoring/spark/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/monitoring/spark/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/monitoring/spark/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/monitoring/spark/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"everyone": true,
"items": [
{
"app_key": "<string>",
"app_id": "<string>",
"name": "<string>",
"spark_user": "<string>",
"source_kind": "airflow",
"status": "succeeded",
"duration_ms": 123,
"executors": 123,
"tasks": 123,
"failed_tasks": 123,
"input_bytes": 123,
"shuffle_read_bytes": 123,
"disk_spill_bytes": 123,
"executor_core_ms": 123,
"attempt": "<string>",
"source_ref": "",
"started_at": "<string>",
"ended_at": "<string>",
"spark_version": "",
"health_score": 123,
"top_severity": "critical",
"signal_count": 0,
"badges": [
{
"key": "<string>",
"severity": "critical",
"label": "<string>"
}
],
"in_progress": false,
"truncated": false,
"parse_error": "",
"log_present": true,
"parsed_at": "<string>"
}
],
"total": 0,
"stats": {
"total": 0,
"succeeded": 0,
"failed": 0,
"flagged": 0,
"executor_hours": 0
},
"can_see_everyone": false,
"last_indexed_at": "<string>"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Everyone's (monitor admins only).
Available options:
succeeded, failed, incomplete, unknown, unreadable Available options:
airflow, kyuubi, notebook, maintenance, ingest, other Name, id, user or DAG.
Maximum string length:
1200 for no limit.
Required range:
0 <= x <= 2160Only those with a signal worth a look.
Available options:
started, duration, health Required range:
1 <= x <= 200Required range:
x >= 0Response
Successful Response
False when indexing is switched off here.
Whether the list holds other people's applications.
Show child attributes
Show child attributes
Tiles over the same filter as the list (status filter aside).
Show child attributes
Show child attributes
Was this page helpful?

